Complete Packages 1 (877) 233-8288
Your shopping cart is empty!

FREE SHIPPING on all Orders over $150.00 (Some Conditions May Apply)

  • Prestan Professional Adult Series 2000 Upgrade Kit
  • Prestan Professional Adult Series 2000 Upgrade Kit
  • Prestan Professional Adult Series 2000 Upgrade Kit
  • Prestan Professional Adult Series 2000 Upgrade Kit
  • Prestan Professional Adult Series 2000 Upgrade Kit
  • Prestan Professional Adult Series 2000 Upgrade Kit

Prestan Professional Adult Series 2000 Upgrade Kit

Brand: Prestan
Product Code: RPP-AAOK2000-1

What devices are needed for the PRESTAN Professional Adult Series 2000 manikin and CPR Feedback app?

For Apple devices: Compatible with iPhone, iPad and iPod touch. Requires iOS or iPadOS 13.0 or newer. For Android devices: Requires Bluetooth® LE or 5.0 enabled device running Android 5.0 or newer.

Prestan recommends this upgrade kit to be used only with manikins manufactured in 2018 and newer.

Not compatible with the Prestan ultralite manikins. Manikin not included.

$142.80
Free Shipping

Free Shipping for AED Purchases

Interac, Visa, Mastercard, PayPal

Flexible Payment Options

View our Complete AED Packages

You have been amazing to deal with, and I think Fort Whyte AlV has found our new AED supplier in your company!

Barret

Prestan recommends this upgrade kit to be used only with manikins manufactured in 2018 and newer.

Prestan Professional Adult Series 2000 Upgrade Kit (Includes Bluetooth APP Capabilities, 1 Rate / Depth Monitor, Breath Sensor, Piston Plug, 10-PK Adult Face Shield / Ventilation Lung Bags and Color ID Labels).

Advanced Feedback Parameters Include: Recoil, Rate, Depth, Ventilation and Hands Off Time Feedback reported via Bluetooth enabled PRESTAN app available on both iOS and Android devices.

What devices are needed for the PRESTAN Professional Adult Series 2000 manikin and CPR Feedback app?

For Apple devices: Compatible with iPhone, iPad and iPod touch. Requires iOS or iPadOS 13.0 or newer. For Android devices: Requires Bluetooth® LE or 5.0 enabled device running Android 5.0 or newer.

MANIKIN NOT INCLUDED

Write a review

Note: HTML is not translated!
    Bad           Good